comparison MoinMoin/support/README.txt @ 5562:e1e730402364

document support code version requirements
author Thomas Waldmann <tw AT waldmann-edv DOT de>
date Sun, 21 Feb 2010 23:04:37 +0100
parents 16db661e85b7
children
comparison
equal deleted inserted replaced
5561:16db661e85b7 5562:e1e730402364
1 NOTES for bundled flup: 1 3rd party python code requirements
2 ======================= 2 ==================================
3 This directory contains the flup WSGI adapter package.
4 3
5 The shipped version is available via mercurial checkout: 4 This file has some notes about the software we bundle and ship with MoinMoin
5 in the MoinMoin/support/ directory. If you are a Linux distributor and you
6 want to rip out this stuff and replace it with packages, this is for you!
6 7
7 hg clone -r 3b07cc2b0c76 http://hg.saddi.com/flup-server 8 We list the shipped version and also the minimum required version.
8 # this is flup 1.0.2+, minimum requirement for moin is 1.0.2. 9 The shipped version will work best with moin as usually has some more bug
10 fixes than the minimum required version.
11 We do not test with the minimum required version, but we try to keep this
12 file updated and correct to our best knowledge.
9 13
10 Thanks to Allan Saddi <allan@saddi.com> for writing flup and to 14 In case you find bugs in this requirements specification, please let us know!
11 the unnamed contributor <tv@inoi.fi> for the single-thread patch. 15
16 Thanks to all 3rd party software authors!
17
18 flup (cgi/fastcgi/scgi/ajp to WSGI adapter)
19 ===========================================
20 shipped: 1.0.2+, from repo: hg clone -r 3b07cc2b0c76 http://hg.saddi.com/flup-server
21 minimum: 1.0.2
12 22
13 23
24 pygments (highlighting for all sorts of source code and other text files)
25 =========================================================================
26 shipped: 1.1.1
27 minimum: 1.1.1(?)
28
29
30 parsedatetime (parse date/time strings)
31 =======================================
32 shipped: 0.8.7
33 minimum: 0.8.7(?)
34
35
36 werkzeug (WSGI toolkit)
37 =======================
38 shipped: 0.5.1
39 minimum: 0.5.1(?)
40
41
42 xappy (High-Level Python library for Xapian)
43 ============================================
44 shipped: 0.5
45 minimum: 0.5
46
47
48 htmlmarkup.py (safe html rendering)
49 ===================================
50 shipped: copied from TRAC's trac.util.html, revision 3609, merged on 2006-08-20
51 minimum: same(?)
52
53
54 Replacements for Python stdlib modules
55 ======================================
56 difflib.py (fixes broken Python 2.4.3 difflib, see comment in file)
57 HeaderFixed.py ("copied from email.Header because the original is broken")
58 tarfile.py (misc. brokenness up to Python 2.6, see comment in file)
59
60
61 Other stuff
62 ===========
63 BasicAuthTransport.py (taken from Amos' XML-RPC HowTo)
64 python_compatibility.py (to be compatible with older Pythons)
65